diff tests/test-tree-decomposition @ 259:8b9fc1b1cc40

tests: Fix tests with new repo layout. Also make all tests bail early if dulwich is not available.
author Augie Fackler <durin42@gmail.com>
date Sun, 25 Oct 2009 10:52:50 -0500
parents 3e0eb85a83a7
children d32590df65ef
line wrap: on
line diff
--- a/tests/test-tree-decomposition
+++ b/tests/test-tree-decomposition
@@ -3,11 +3,14 @@
 # Fails for some reason, need to investigate
 # "$TESTDIR/hghave" git || exit 80
 
+# bail if the user does not have dulwich
+python -c 'import dulwich, dulwich.repo' || exit 80
+
 # bail early if the user is already running git-daemon
 echo hi | nc localhost 9418 2> /dev/null && exit 80
 
 echo "[extensions]" >> $HGRCPATH
-echo "hggit=$(echo $(dirname $(dirname $0)))" >> $HGRCPATH
+echo "hggit=$(echo $(dirname $(dirname $0)))/hggit" >> $HGRCPATH
 echo 'hgext.bookmarks =' >> $HGRCPATH
 
 GIT_AUTHOR_NAME='test'; export GIT_AUTHOR_NAME